Subject: RE: [newtrk] IESG comments on ISD proposal

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 10 May 2005 13:50:16 -0700

Appols for top-posting but Spencer is saying something important here:

The STD series is worse than useless. If people considered the STD
series to be the canonical definition for the protocols they would be
creating implementations that actually harm the Internet.

If we have two versions of a protocol and one is known to cause actual
harm it is neither logical nor acceptable for the harmful version of the
protocol to have a higher standards status.

I propose that whenever an RFC is issued that has 'obsoletes RFC xxx' in
the header that this automatically cause RFC xxx to be moved to the
obsolete standards list.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Spencer Dawkins
> Sent: Tuesday, May 10, 2005 4:36 PM
> To: NEWTRK
> Subject: Re: [newtrk] IESG comments on ISD proposal
> 
> 
> > More to the point, the original claim, viz. "the Internet runs
> > mainly on
> > Proposed Standards", still hasn't been substantiated.  Even if you 
> > ignore
> > the same *type* of process, there is no way that IP is a mere 
> > "Proposed
> > Standard".
> 
> I did not originate this assertion, but I believe it and have 
> repeated 
> it in public, so...
> 
> When I have repeated this assertion, it's often been in the 
> context of 
> TCP.
> 
> You might think that TCP is a full standard, since RFC 793 TCP is a 
> full standard, but if you watch any modern TCP with tcpdump or some 
> equivalent, you will discover that the TCP is implementing a larger 
> initial congestion window, fast start/congestion avoidance, fast 
> retransmit, fast reecovery, SACK, window scaling, maybe Eifel, and 
> probably some other items that I never heard of or forgot. All of 
> these are proposed standards.
> 
> RFC 793 TCP was prone to persistent oscillating congestion in network 
> conditions encountered during the late 1980s. One can only imagine 
> what the Internet would be like today, if it was running on THIS full 
> standard. Happily, the Internet is running on proposed standards.
> 
> Your mileage may vary, if you're thinking of different protocols, of 
> course.
> 
> Spencer 
> 
> 
> .
> newtrk resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 
> 

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html